org.apache.poi.sl.draw.binding

## Class CTPositiveSize2D

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTPositiveSize2D

-     public class CTPositiveSize2D
      extends java.lang.Object

  Java class for CT_PositiveSize2D complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_PositiveSize2D">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="cx" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_PositiveCoordinate" />
             <attribute name="cy" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_PositiveCoordinate" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `cx`
    `protected long` | `cy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTPositiveSize2D()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCx()` Gets the value of the cx property.
    `long` | `getCy()` Gets the value of the cy property.
    `boolean` | `isSetCx()`
    `boolean` | `isSetCy()`
    `void` | `setCx(long value)` Sets the value of the cx property.
    `void` | `setCy(long value)` Sets the value of the cy property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cx

          protected long cx

    - #### cy

          protected long cy

  - ### Constructor Detail

    - #### CTPositiveSize2D

          public CTPositiveSize2D()

  - ### Method Detail

    - #### getCx

          public long getCx()

      Gets the value of the cx property.

    - #### setCx

          public void setCx(long value)

      Sets the value of the cx property.

    - #### isSetCx

          public boolean isSetCx()

    - #### getCy

          public long getCy()

      Gets the value of the cy property.

    - #### setCy

          public void setCy(long value)

      Sets the value of the cy property.

    - #### isSetCy

          public boolean isSetCy()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.